<?php
namespace App\Controller\Api;

use FOS\RestBundle\Controller\AbstractFOSRestController;
use FOS\RestBundle\Controller\Annotations as Rest;
use App\Repository\EventRepository;
use App\Entity\Event;

/**
 *
 * @Rest\Route("event")
 */
class EventController extends AbstractFOSRestController
{

    protected EventRepository $eventRepository;

    public function __construct(EventRepository $eventRepository)
    {
        $this->eventRepository = $eventRepository;
    }

    /**
     *
     * @Rest\Route("s")
     * @Rest\View(serializerGroups={"Default", "event_list"})
     */
    public function cgetAction(): array
    {
        return $this->eventRepository->findAll();
    }

    /**
     *
     * @Rest\Route("/{id}"))
     * @Rest\View(serializerGroups={"Default", "event_show"})
     */
    public function getAction(int $id): ?Event
    {
        return $this->eventRepository->find($id);
    }
}

