<?php
namespace App\Controller\Api;

use FOS\RestBundle\Controller\AbstractFOSRestController;
use FOS\RestBundle\Controller\Annotations as Rest;
use App\Repository\EventRepository;
use App\Entity\Event;
use App\Repository\EventHeroRepository;
use App\Entity\EventHero;

/**
 *
 * @Rest\Route("event/{eventId}/hero")
 */
class EventHeroController extends AbstractFOSRestController
{

    protected EventHeroRepository $repository;

    public function __construct(EventHeroRepository $repository)
    {
        $this->repository = $repository;
    }

    /**
     *
     * @Rest\Route("s")
     * @Rest\View(serializerGroups={"Default", "event_hero_list"})
     */
    public function cgetAction(int $eventId): array
    {
        return $this->repository->findBy([
            'event' => $eventId
        ]);
    }

    /**
     *
     * @Rest\Route("/{eid}"))
     * @Rest\View(serializerGroups={"Default", "event_hero_show"})
     */
    public function getAction(int $eventId, int $eid): ?EventHero
    {
        return $this->repository->findOneBy([
            'event' => $eventId,
            'eid' => $eid
        ]);
    }
}

