<?php
namespace App\Controller\Api;

use FOS\RestBundle\Controller\AbstractFOSRestController;
use FOS\RestBundle\Controller\Annotations as Rest;
use App\Repository\EventRepository;
use App\Entity\Event;
use App\Repository\EventTeamRepository;
use App\Entity\EventTeam;

/**
 *
 * @Rest\Route("event/{eventId}/team")
 */
class EventTeamController extends AbstractFOSRestController
{

    protected EventTeamRepository $repository;

    public function __construct(EventTeamRepository $repository)
    {
        $this->repository = $repository;
    }

    /**
     *
     * @Rest\Route("s")
     * @Rest\View(serializerGroups={"Default", "event_team_list"})
     */
    public function cgetAction(int $eventId): array
    {
        return $this->repository->findBy([
            'event' => $eventId
        ]);
    }

    /**
     *
     * @Rest\Route("/{eid}"))
     * @Rest\View(serializerGroups={"Default", "event_team_show"})
     */
    public function getAction(int $eventId, int $eid): ?EventTeam
    {
        return $this->repository->findOneBy([
            'event' => $eventId,
            'eid' => $eid
        ]);
    }
}

