<?php
namespace App\Controller\Api;

use App\Repository\UserRepository;
use FOS\RestBundle\Controller\Annotations as Rest;
use FOS\RestBundle\Controller\AbstractFOSRestController;
use App\Entity\User;

/**
 *
 * @Rest\Route("api/user")
 */
class UserController extends AbstractFOSRestController
{

    protected UserRepository $userRepository;

    public function __construct(UserRepository $userRepository)
    {
        $this->userRepository = $userRepository;
    }

    /**
     *
     * @Rest\Route("s")
     * @Rest\View()
     */
    public function cgetAction(): array
    {
        return $this->userRepository->findAll();
    }

    /**
     *
     * @Rest\Route("/{id}"))
     * @Rest\View()
     */
    public function getAction(int $id): ?User
    {
        return $this->userRepository->find($id);
    }
}
