<?php
namespace App\DataFixtures;

use Doctrine\Common\DataFixtures\DependentFixtureInterface;
use Doctrine\Bundle\FixturesBundle\Fixture;
use Doctrine\Persistence\ObjectManager;
use App\Entity\EventBattle;

class EventBattleFixtures extends Fixture implements DependentFixtureInterface
{

    public function load(ObjectManager $manager)
    {
        $event1 = $this->getReference(EventFixtures::REF_1);
        $eventTeam1 = $this->getReference(EventFixtures::REF_EVENT1_TEAM1);
        $eventHero1 = $this->getReference(EventFixtures::REF_EVENT1_CHAR1);
        $eventHero2 = $this->getReference(EventFixtures::REF_EVENT1_CHAR2);

        $eventBattle = new EventBattle($event1, 1);
        $eventBattle->addHero($eventHero1);
        $eventBattle->addHero($eventHero2);
        $eventBattle->setWinningTeam($eventTeam1);

        $manager->persist($eventBattle);

        $manager->flush();
    }

    public function getDependencies()
    {
        return array(
            EventFixtures::class
        );
    }
}

