<?php
namespace App\Entity;

use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;

class EventBattle
{

    /**
     *
     * @var Event
     */
    private $event = null;

    private int $event_battle_id = 0;

    private array $value = [];

    private Collection $heroes;

    /**
     *
     * @var EventTeam
     */
    private $winningTeam;

    public function __construct(Event $event, int $event_battle_id)
    {
        $this->event = $event;
        $this->event_battle_id = $event_battle_id;
        $this->heroes = new ArrayCollection();
    }

    public function getValue(): ?array
    {
        return $this->value;
    }

    public function setValue(array $value): self
    {
        $this->value = $value;

        return $this;
    }

    public function getEvent(): ?Event
    {
        return $this->event;
    }

    public function setEvent(?Event $event): self
    {
        $this->event = $event;

        return $this;
    }

    /**
     *
     * @return Collection|EventHero[]
     */
    public function getHeroes(): Collection
    {
        return $this->heroes;
    }

    public function addHero(EventHero $hero): self
    {
        if (! $this->heroes->contains($hero)) {
            $this->heroes[] = $hero;
        }

        return $this;
    }

    public function removeHero(EventHero $hero): self
    {
        if ($this->heroes->contains($hero)) {
            $this->heroes->removeElement($hero);
        }

        return $this;
    }

    public function getWinningTeam(): ?EventTeam
    {
        return $this->winningTeam;
    }

    public function setWinningTeam(?EventTeam $winningTeam): self
    {
        $this->winningTeam = $winningTeam;

        return $this;
    }

    public function getEventBattleId(): ?int
    {
        return $this->event_battle_id;
    }
}

