<?php
namespace App\Entity;

class EventHero
{

    private int $event_hero_id = 0;

    private string $name;

    private Skillz $skills;

    /**
     *
     * @var Hero
     */
    private $hero;

    /**
     *
     * @var User
     */
    private $user;

    /**
     *
     * @var Event
     */
    private $event;

    /**
     *
     * @var EventTeam
     */
    private $team;

    public function __construct(Event $event, Hero $hero, EventTeam $team)
    {
        $this->event = $event;
        $this->event_hero_id = $hero->getId();
        $this->name = $hero->getName();
        $this->skills = $hero->getSkills();
        $this->team = $team;
        $this->hero = $hero;
        $this->user = $hero->getUser();
    }

    public function getSkills(): Skillz
    {
        return $this->skills;
    }

    public function setSkills(Skillz $skills): self
    {
        $this->skills = $skills;

        return $this;
    }

    public function getName(): ?string
    {
        return $this->name;
    }

    public function setName(string $name): self
    {
        $this->name = $name;

        return $this;
    }

    public function getUser(): ?User
    {
        return $this->user;
    }

    public function setUser(?User $user): self
    {
        $this->user = $user;

        return $this;
    }

    public function getHero(): ?Hero
    {
        return $this->hero;
    }

    public function setHero(?Hero $hero): self
    {
        $this->hero = $hero;

        return $this;
    }

    public function getEvent(): ?Event
    {
        return $this->event;
    }

    public function setEvent(?Event $event): self
    {
        $this->event = $event;

        return $this;
    }

    public function getTeam(): ?EventTeam
    {
        return $this->team;
    }

    public function setTeam(?EventTeam $team): self
    {
        $this->team = $team;

        return $this;
    }

    public function getEventHeroId(): ?int
    {
        return $this->event_hero_id;
    }
}

